## 2018-07
Conclusion: not a lot of great answers

https://github.com/sstephenson/bats | sstephenson/bats: Bash Automated Testing System
https://medium.com/@jesseadametz/test-driven-development-for-your-dockerfiles-350d4d415df7 | Test Driven Development for your Dockerfiles – Jesse Adametz – Medium
https://www.contino.io/insights/top-3-terraform-testing-strategies-for-ultra-reliable-infrastructure-as-code | Top 3 Terraform Testing Strategies for Ultra-Reliable…
https://www.reddit.com/r/commandline/comments/8r7b10/wip_the_pure_bash_bible_documenting_pure_bash/ | [WIP] The Pure Bash Bible - Documenting pure bash ways to do various tasks. : commandline
https://www.reddit.com/r/devops/comments/8rbcdo/how_many_of_you_practice_tdd_for_your_infra_code/ | How many of you practice TDD for your infra code, or at least do unit testing and integration testing? What does that process look like for you? : devops
